#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		libsoup
%define		majorver	2.4
#-----------------------------------------------------------------------------
Name		:	libsoup2
Version		:	2.74.3
Release		:	14.8.0.0%{?dist}
Summary		:	HTTP client/server library for GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/libsoup

Source0		:	%{sname}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	brotli
BuildRequires	:	glib-networking
BuildRequires	:	gobject-introspection
BuildRequires	:	libpsl
BuildRequires	:	sqlite
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
libsoup is an HTTP client/server library for GNOME. It uses GObjects
and the glib main loop, to integrate well with GNOME applications.

Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL support
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * XML-RPC support

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{sname}-%{majorver}/%{sname}/soup*.h
%{_includedir}/%{sname}-gnome-%{majorver}/%{sname}/soup*.h
%{_libdir}/%{sname}-*.so*
%{_libdir}/girepository-1.0/Soup*.typelib
%{_libdir}/pkgconfig/%{sname}-*.pc
%{_datadir}/locale/*/LC_MESSAGES/%{sname}.mo
%{_datadir}/vala/vapi/%{sname}-%{majorver}.{deps,vapi}
%{_datadir}/gir-1.0/Soup*.gir

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__mkdir_p} build
pushd build

meson							\
	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	-D vapi=enabled					\
	-D brotli=enabled				\
	-D gssapi=disabled				\
	-D sysprof=disabled				\

ninja

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
